Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Gregory Heytings <[email-masked]>
Date: Mon, 30 Jan 2023 15:03:54 +0000

>> After spending another two days on this, I concluded that TRT is to 
>> remove that feature from Emacs 29.
>>
>> Are you okay with that?
>
> What exactly will that remove? only what's on the feature branch, or 
> also some stuff on the emacs-29 branch?
>

The "locked narrowing" feature, IOW, the portions of editfns.c in which it 
is implemented, and its use around pre-command-hook, post-command-hook and 
fontification-functions.

>
> And what are your reasons for removing this?  It is hard to tell whether 
> or not I agree without knowing to what I should agree ;-)
>

The reason is that I'm now convinced that it is not a good solution to the 
problem of ill-behaving modes in the presence of long lines.